Skip to main content
GET
/
goals
/
{goal_guid}
Read a goal
curl --request GET \
  --url https://int-data.moneydesktop.com/goals/{goal_guid} \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "goal": {
    "account_guid": "ACT-4e431124-4a29-abf9-f059-ab232ac14dbf",
    "amount": 4500,
    "goal_type_name": "string",
    "meta_type_name": "VACATION",
    "name": "Save for Europe.",
    "completed_at": "2015-06-19T10:37:04-06:00",
    "has_been_spent": false,
    "is_complete": false,
    "metadata": "Additional information",
    "position": 3,
    "track_type_name": "SAVINGS_TRACK"
  }
}

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

goal_guid
string
required

The unique identifier for a goal. Defined by MX.

Response

200 - application/vnd.mx.nexus.v1+json

OK

goal
object